<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:b="http://bootsfaces.net/ui"
             xmlns:f="http://xmlns.jcp.org/jsf/core"
             template="/layout/template.xhtml">

    <h:outputText class="text-secondary h4" value="Ce token est actuellement actif jusqu'au "/>
    <h:outputText class="text-secondary h4" value="#{tokenBean.uniqueActiveToken.expirationDate}">
        <f:convertDateTime type="localDateTime" pattern="dd/MM/yyyy 'à' HH:mm"/>
    </h:outputText>


    <b:form prependId="false" styleClass="gzl-mt-2rem">

        <b:inputText value="#{tokenBean.uniqueActiveToken.value}" id="copy-token" disabled="true">
            <f:facet name="append">
                <b:commandButton look="success" value="Copier la valeur  "
                                 iconAwesome="copy" show-summary="false"
                                 icon-align="right" onclick="copyTokenValue();"
                                 actionListener="#{growlBean.resultCopyToken()}" update="growl"/>
            </f:facet>
        </b:inputText>

    </b:form>

    <h:form class="gzl-mt-3rem">
        <h:outputText class="gzl-mr-2rem text-secondary h4 gzl-mb-2rem"
                      value="Si vous souhaitez générer un nouveau token, vous devez désactiver le token actif"/>
        <ui:include src="_deactivate-token_button_fragment.xhtml"/>
    </h:form>

</ui:fragment>